﻿* Encoding: UTF-8.
* Fecha de elaboración: 25 de octubre de 2016
* Fecha última modificación: 10 de enero de 2018
********************************************************************************
* Software estadístico: SPSS 23
********************************************************************************
* Elaborado por:
* Christián Terán L.
* Dirección de Estadísticas Agropecuarias y Ambientales(DEAGA)
* Instituto Nacional de Estadística y Censos
* Christian_Teran@inec.gob.ec
********************************************************************************
* Revisado por:
* Wilson Monteros.
* Dirección de Estadísticas Agropecuarias y Ambientales (DEAGA)
* Instituto Nacional de Estadística y Censos
* Wilson_Monteros@inec.gob.ec
********************************************************************************

*==============================================================================*

** 1.	ESTABLECIMIENTOS DE SALUD ANALIZADOS POR AREA, SEGÚN TIPO.
CTABLES 
  /VLABELS VARIABLES=tipo area DISPLAY=LABEL 
  /TABLE tipo [C] BY area [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2, TOTALS[COUNT F40.0, 
    COLPCT.VALIDN PCT40.2]] 
  /CATEGORIES VARIABLES=tipo ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER 
  /CATEGORIES VARIABLES=area ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE.

** 2.	ESTABLECIMIENTOS DE SALUD ANALIZADOS POR AREA, SEGÚN SECTOR.
CTABLES 
  /VLABELS VARIABLES=sector area DISPLAY=LABEL 
  /TABLE sector [C] BY area [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2, TOTALS[COUNT F40.0, 
    COLPCT.VALIDN PCT40.2]] 
  /CATEGORIES VARIABLES=sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER 
  /CATEGORIES VARIABLES=area ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE.

** 3. ENTREGA DE DESECHOS PELIGROSOS HOSPITALARIOS, SEGÚN SECTOR (Kgs/Año).

*SECTOR.
CTABLES
  /VLABELS VARIABLES=sector k1438 DISPLAY=LABEL
  /TABLE sector [C] BY k1438 [S][COUNT F40.0, SUM, COLPCT.SUM PCT40.1]
  /CATEGORIES VARIABLES=sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.
*TIPO.
CTABLES 
  /VLABELS VARIABLES=tipo k1438 DISPLAY=LABEL
  /TABLE tipo [C] BY k1438 [S][COUNT F40.0, SUM, COLPCT.SUM PCT40.1]
  /CATEGORIES VARIABLES=tipo ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


** 4. ENTREGA DE DESECHOS PELIGROSOS HOSPITALARIOS, SEGÚN ENTIDAD (Kgs/Año).
compute Municipio = k1430.
variable labels Municipio 'Entregados al Municipio'. 
compute Dif_municipio = k1432.
variable labels Dif_municipio 'Entregados a una entidad diferente al Muncipio'.
compute Ges_directa = sum.1 (k1434, k1436).
variable labels Ges_directa 'Gestión Directa'.
compute total_dese_peligr = sum.1 (Municipio, Dif_municipio, Ges_directa).
variable labels total_dese_peligr 'Total'.

CTABLES 
  /VLABELS VARIABLES=Municipio Dif_municipio Ges_directa total_dese_peligr DISPLAY=LABEL 
  /TABLE Municipio [SUM] + Dif_municipio [SUM] + Ges_directa [SUM] + total_dese_peligr [SUM] .

** 5. ENTREGA DE DESECHOS PELIGROSOS HOSPITALARIOS, SEGÚN CIUDADES AUTO REPRESENTADAS (Kgs/Año).

***Codificación para 5 ciudades.
if (area = 1 and (parr_ubi >= '170101' and parr_ubi <= '170150' )) ciudad= 1.
if (area = 1 and (parr_ubi >= '090101' and parr_ubi <= '090150' )) ciudad= 2.
if (area = 1 and (parr_ubi >= '010101' and parr_ubi <= '010150' )) ciudad= 3.
if (area = 1 and (parr_ubi >= '180101' and parr_ubi <= '180150' )) ciudad= 4.
if (area = 1 and (parr_ubi >= '070101' and parr_ubi <= '070150' )) ciudad= 5.
recode ciudad (1 thru 5 = copy) (sysmis = 6).
value labels ciudad 
1 'Quito'
2 'Guayaquil'
3 'Cuenca'
4 'Ambato'
5 'Machala' 
6 'Resto del país'.

CTABLES 
  /VLABELS VARIABLES=ciud51 total_dese_peligr DISPLAY=LABEL 
  /TABLE ciud51 BY total_dese_peligr [S][SUM, COLPCT.SUM PCT40.2] 
  /CATEGORIES VARIABLES=ciud51 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

** 6. ESTABLECIMIENTOS DE SALUD ANALIZADOS POR CONOCIMIENTO DEL REGLAMENTO DE DESECHOS INFECCIOSOS, SEGÚN SECTOR Y TIPO.

recode k1425 (1 = 1) (0 = 2) into k1425_rec.
value labels k1425_rec 1'Si' 2'No'.
variable labels k1425_rec '¿Conoce sobre el reglamento de manejo de desechos infecciosos para la red de servicios de salud en el Ecuador?'.

**sector.
CTABLES 
  /VLABELS VARIABLES=sector k1425_rec DISPLAY=LABEL 
  /TABLE sector [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2] BY k1425_rec 
  /CATEGORIES VARIABLES=sector k1425_rec ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

**tipo.
CTABLES 
  /VLABELS VARIABLES=tipo k1425_rec DISPLAY=LABEL 
  /TABLE tipo [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2] BY k1425_rec 
  /CATEGORIES VARIABLES=tipo k1425_rec ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

** 7. ESTABLECIMIENTOS DE SALUD ANALIZADOS POR CONOCIMIENTO DEL REGLAMENTO DE DESECHOS INFECCIOSOS, SEGÚN PROVINCIA.

CTABLES 
  /VLABELS VARIABLES=prov_ubi k1425_rec DISPLAY=LABEL 
  /TABLE prov_ubi [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2] BY k1425_rec 
  /CATEGORIES VARIABLES=prov_ubi k1425_rec ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

** 8. ESTABLECIMIENTOS DE SALUD ANALIZADOS POR CONOCIMIENTO DEL REGLAMENTO DE DESECHOS INFECCIOSOS, SEGÚN PROVINCIA.

recode k1427 (1 = 1) (0 = 2) into k1427_rec.
value labels k1427_rec 1'Si' 2'No'.
variable labels k1427_rec '¿Dentro de su establecimiento de salud, se lleva un registro de los desechos peligrosos hospitalarios?'.

CTABLES 
  /VLABELS VARIABLES=prov_ubi k1427_rec DISPLAY=LABEL 
  /TABLE prov_ubi [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2] BY k1427_rec 
  /CATEGORIES VARIABLES=prov_ubi k1427_rec ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

**9. ESTABLECIMIENTOS DE SALUD QUE LLEVAN UN REGISTRO DE DESECHOS PELIGROSOS HOSPITALARIOS, SEGÚN SECTOR Y TIPO

*SECTOR.
CTABLES 
  /VLABELS VARIABLES=sector k1427_rec DISPLAY=LABEL 
  /TABLE sector [COUNT F40.0, ROWPCT.VALIDN PCT40.2] BY k1427_rec 
  /CATEGORIES VARIABLES=sector k1427_rec ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

*TIPO.
CTABLES 
  /VLABELS VARIABLES=tipo k1427_rec DISPLAY=LABEL 
  /TABLE tipo [COUNT F40.0, ROWPCT.VALIDN PCT40.2] BY k1427_rec 
  /CATEGORIES VARIABLES=tipo k1427_rec ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

** 10. TIPO DE DESECHOS PELIGROSOS RECOLECTADOS Y/O ENTREGADOS, SEGÚN TIPO DE DESECHO PELIGROSOS.

compute total_inf_cort_esp = sum.1(k1444, k1445, k1446).

CTABLES 
  /VLABELS VARIABLES=sector total_inf_cort_esp DISPLAY=LABEL 
  /TABLE sector BY total_inf_cort_esp [COUNT F40.0, SUM, COLPCT.VALIDN PCT40.2] 
  /CATEGORIES VARIABLES=sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

CTABLES 
  /VLABELS VARIABLES=tipo total_inf_cort_esp DISPLAY=LABEL 
  /TABLE tipo BY total_inf_cort_esp [COUNT F40.0, SUM, COLPCT.VALIDN PCT40.2] 
  /CATEGORIES VARIABLES=tipo ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

** 11. TIPO DE DESECHOS PELIGROSOS RECOLECTADOS Y/O ENTREGADOS, SEGÚN TIPO. 
compute rec_k1444 = k1444.
variable labels rec_k1444 'Residuos infecciosos recolectados'.
compute rec_k1445 = k1445.
variable labels rec_k1445 'Residuos cortopuzantes recolectados'.
compute rec_k1446 = k1446.
variable labels rec_k1446 'Residuos especiales Recolectados'.
compute rec_k1447 = sum.1(rec_k1444, rec_k1445, rec_k1446).
variable labels rec_k1447 'Total'.

CTABLES 
  /VLABELS VARIABLES=rec_k1444 rec_k1445 rec_k1446 rec_k1447 DISPLAY=LABEL 
  /TABLE rec_k1444 [SUM] + rec_k1445 [SUM] + rec_k1446 [SUM] + rec_k1447 [SUM]. 

** 12. DESECHOS PELIGROSOS HOSPITALARIOS, SEGÚN TIPO DE DISPOSICIÓN FINAL.
compute rec_k1451 = k1451.
variable labels rec_k1451 'Desechos hospitalarios dispuestos en celdas de seguridad'.
compute rec_k1453 = k1453.
variable labels rec_k1453 'Desechos hospitalarios son incinerados'.
compute rec_k1455 = k1455.
variable labels rec_k1455 'Desechos hospitalarios son esterilizados en auto clave'.
compute rec_k1457 = k1457.
variable labels rec_k1457 'Otros'.
compute rec_k1459 = sum.1(rec_k1451, rec_k1453, rec_k1455, rec_k1457).
variable labels rec_k1459 'Total Tipo de Disposición Final'.

CTABLES 
  /VLABELS VARIABLES=rec_k1451 rec_k1453 rec_k1455 rec_k1457 rec_k1459 DISPLAY=LABEL 
  /TABLE rec_k1451 [SUM] + rec_k1453 [SUM] + rec_k1455 [SUM] + rec_k1457 [SUM] + rec_k1459 [SUM].

** 13. ESTABLECIMIENTOS QUE TIENEN UNA TARIFA DIFERENCIADA DE ACUERDO AL TIPO DE GESTIÓN, SEGÚN SECTOR

compute rec_k1439 = k1439.
recode rec_k1439 (1 = 1) (0 = 2)  (-1 = 3).
value labels rec_k1439 1 'Si' 2 'No' 3 'No Sabe'.
variable labels rec_k1439 'Establecimientos que tienen una tarifa diferenciada de acuerdo al tipo de gestión'.
 
CTABLES 
  /VLABELS VARIABLES=sector rec_k1439 DISPLAY=LABEL 
  /TABLE sector [COUNT F40.0, COLPCT.VALIDN PCT40.2] BY rec_k1439 
  /CATEGORIES VARIABLES=sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER 
  /CATEGORIES VARIABLES=rec_k1439 [1.00] EMPTY=INCLUDE.

CTABLES 
  /VLABELS VARIABLES=tipo rec_k1439 DISPLAY=LABEL 
  /TABLE tipo [COUNT F40.0, COLPCT.VALIDN PCT40.2] BY rec_k1439 
  /CATEGORIES VARIABLES=tipo ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER 
  /CATEGORIES VARIABLES=rec_k1439 [1.00] EMPTY=INCLUDE.

** 14. INFORMACIÓN SOBRE LA GESTIÓN DADA A LOS DESECHOS PELIGROSOS HOSPITALARIOS.

compute rec_k1440 = k1440.
recode rec_k1440 (1 = 1) (0 = 2) (-1 = 3).
value labels rec_k1440 1 'Si' 2 'No' 3 'No Sabe'.
variable labels rec_k1440 'Municipio o entidad diferente informa sobre la gestion dada'.

CTABLES 
  /VLABELS VARIABLES=rec_k1440 DISPLAY=LABEL 
  /TABLE rec_k1440 [COUNT F40.0, COLPCT.VALIDN PCT40.2] 
  /CATEGORIES VARIABLES=rec_k1440 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

**15. INFORMACIÓN DEL MUNICIPIO O ENTIDADES DIFERENTES SOBRE LA GESTIÓN DADA A LOS DESECHOS HOSPITALARIOS, 
**SEGÚN SECTOR Y TIPO.
*SECTOR.
CTABLES 
  /VLABELS VARIABLES=sector rec_k1440 DISPLAY=LABEL 
  /TABLE sector [C] BY rec_k1440 [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2, TOTALS[COUNT F40.0, 
    COLPCT.VALIDN PCT40.2]] 
  /CATEGORIES VARIABLES=sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER 
  /CATEGORIES VARIABLES=rec_k1440 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE.

*TIPO.
CTABLES 
  /VLABELS VARIABLES=tipo rec_k1440 DISPLAY=LABEL 
  /TABLE tipo [C] BY rec_k1440 [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2, TOTALS[COUNT F40.0, 
    COLPCT.VALIDN PCT40.2]] 
  /CATEGORIES VARIABLES=tipo ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER 
  /CATEGORIES VARIABLES=rec_k1440 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE.

** 16. TARIFA DIFERENCIADA DE ESTABLECIMIENTOS DE SALUD DE ACUERDO AL TIPO DE GESTION DE DESECHOS HOSPITALARIOS, 
** SEGÚN SECTOR Y TIPO.

*SECTOR.
CTABLES 
  /VLABELS VARIABLES=sector rec_k1439 DISPLAY=LABEL 
  /TABLE sector [C] BY rec_k1439 [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2, TOTALS[COUNT F40.0, 
    COLPCT.VALIDN PCT40.2]] 
  /CATEGORIES VARIABLES=sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER 
  /CATEGORIES VARIABLES=rec_k1439 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE.

*TIPO.
CTABLES 
  /VLABELS VARIABLES=tipo rec_k1439 DISPLAY=LABEL 
  /TABLE tipo [C] BY rec_k1439 [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2, TOTALS[COUNT F40.0, 
    COLPCT.VALIDN PCT40.2]] 
  /CATEGORIES VARIABLES=tipo ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER 
  /CATEGORIES VARIABLES=rec_k1439 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE.

** 17. DESECHOS PELIGROSOS RECOLECTADOS Y/O ENTREGADOS, SEGÚN SECTOR Y TIPO

*SECTOR.
CTABLES 
  /VLABELS VARIABLES=sector rec_K1444 rec_K1445 rec_K1446 Rec_k1447 DISPLAY=LABEL 
  /TABLE sector [C] BY rec_K1444 [S][SUM, COLPCT.SUM PCT40.2] + rec_K1445 [S][SUM, COLPCT.SUM 
    PCT40.2] + rec_K1446 [S][SUM, COLPCT.SUM PCT40.2] + Rec_k1447 [S][SUM, COLPCT.SUM PCT40.2] 
  /CATEGORIES VARIABLES=sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

*TIPO.
CTABLES 
  /VLABELS VARIABLES=tipo rec_K1444 rec_K1445 rec_K1446 Rec_k1447 DISPLAY=LABEL 
  /TABLE tipo [C] BY rec_K1444 [S][SUM, COLPCT.SUM PCT40.2] + rec_K1445 [S][SUM, COLPCT.SUM 
    PCT40.2] + rec_K1446 [S][SUM, COLPCT.SUM PCT40.2] + Rec_k1447 [S][SUM, COLPCT.SUM PCT40.2] 
  /CATEGORIES VARIABLES=tipo ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


** 18. ESTABLECIMIENTOS QUE DAN SEGUIMIENTO A LOS DESECHOS PELIGROSOS PARA VERIFICAR SI LA GESTIÓN ESTÁ DE ACUERDO
** A LA NORMATIVA SANITARIA Y AMBIENTAL , SEGÚN SECTOR Y TIPO.

compute rec_k1441 = k1441.
recode rec_k1441 (1 = 1) (0 = 2) (-1 = 3).
value labels rec_k1441 1 'Si' 2 'No' 3 'No Sabe'.
variable labels rec_k1441 'Los Establecimientos que dan seguimiento y verifican si la gestión está de acuerdo a la normativa sanitaria y ambiental'.

*SECTOR.
CTABLES 
  /VLABELS VARIABLES=sector rec_k1441 DISPLAY=LABEL 
  /TABLE sector [C] BY rec_k1441 [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2, TOTALS[COUNT F40.0, 
    COLPCT.VALIDN PCT40.2]] 
  /CATEGORIES VARIABLES=sector rec_k1441 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

*TIPO.
CTABLES 
  /VLABELS VARIABLES=tipo rec_k1441 DISPLAY=LABEL 
  /TABLE tipo [C] BY rec_k1441 [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2, TOTALS[COUNT F40.0, 
    COLPCT.VALIDN PCT40.2]] 
  /CATEGORIES VARIABLES=tipo rec_k1441 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

** 19. DISPOSICIÓN FINAL DE LOS DESECHOS PELIGROSOS  HOSPITALARIOS POR TIPO DE RESIDUOS						
 
compute rec_k1450 = k1450.
recode rec_k1450 (1 = 1) (0 = 2).
value labels rec_k1450 1 'Si' 2 'No'.
variable labels rec_k1450 'Desechos hospitalarios dispuestos en celdas de seguridad'.

compute rec_k1452 = k1452.
recode rec_k1452 (1 = 1) (0 = 2).
value labels rec_k1452 1 'Si' 2 'No'.
variable labels rec_k1452 'Desechos hospitalarios son incinerados'.

compute rec_k1454 = k1454.
recode rec_k1454 (1 = 1) (0 = 2).
value labels rec_k1454 1 'Si' 2 'No'.
variable labels rec_k1454 'Desechos hospitalarios son esterilizados en auto clave'.

compute rec_k1456 = k1456.
recode rec_k1456 (1 = 1) (0 = 2).
value labels rec_k1456 1 'Si' 2 'No'.
variable labels rec_k1456 'Otros'.

CTABLES 
  /VLABELS VARIABLES=rec_k1450 rec_k1452 rec_k1454 rec_k1456 DISPLAY=LABEL 
  /TABLE BY rec_k1450 [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2] + rec_k1452 [C][COUNT F40.0, 
    ROWPCT.VALIDN PCT40.2] + rec_k1454 [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2] + rec_k1456 [C][COUNT 
    F40.0, ROWPCT.VALIDN PCT40.2] 
  /SLABELS POSITION=ROW 
  /CATEGORIES VARIABLES=rec_k1450 rec_k1452 rec_k1454 rec_k1456 ORDER=A KEY=VALUE EMPTY=INCLUDE.


** 20. ESTABLECIMIENTOS QUE ENTREGAR SUS DESECHOS PELIGROSOS HOSPITALARIOS AL MUNICIPIO, SEGÚN SECTOR.

compute rec_k1429 = k1429.
recode rec_k1429 (1 = 1) (0 = 2).
value labels rec_k1429 1 'Si' 2 'No'.
variable labels rec_k1429 'Establecimientos que entregan sus Desechos Peligrosos Hospitalarios al Municipio'.
 
**SECTOR.
CTABLES 
  /VLABELS VARIABLES=sector rec_k1429 DISPLAY=LABEL 
  /TABLE sector [COUNT F40.0, COLPCT.VALIDN PCT40.2] BY rec_k1429 
  /CATEGORIES VARIABLES=sector ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER 
  /CATEGORIES VARIABLES=rec_k1429 [1.00] EMPTY=INCLUDE.

**TIPO.
CTABLES 
  /VLABELS VARIABLES=tipo rec_k1429 DISPLAY=LABEL 
  /TABLE tipo [COUNT F40.0, COLPCT.VALIDN PCT40.2] BY rec_k1429 
  /CATEGORIES VARIABLES=tipo ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER 
  /CATEGORIES VARIABLES=rec_k1429 [1.00] EMPTY=INCLUDE.










